@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100..900&display=swap');

/* Reset */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* Estilos Pricipales */
body {
  font-family: 'Montserrat', sans-serif;
  font-size: 1rem;
  line-height: 1.5;
  color: #fff;
}

h1 {
  font-size: 3rem;
  margin-bottom: 1rem;
  text-transform: capitalize;
}

/* Clases Principales */
.container {
  max-width: 1300px;
  margin: 0 auto;
  padding: 0 30px;
}

.btn {
  font-size: 1rem;
  font-weight: 600;
  padding: 0.5rem 1.25rem;
  cursor: pointer;
  letter-spacing: 1px;
  border-radius: 4px;
}

.btn-light {
  background: #fff;
  border: 1px solid #fff;
  color: #000;
}

.btn-dark {
  background: #000;
  border: 1px solid #000;
  color: #fff;
}

.btn-round {
  border-radius: 50px;
}

/* Main */
.main-content {
  background: url('/images/background.png');
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 100vh;
}

/* Header */
.navbar {
  height: 120px;
  font-weight: 400;
}

.navbar .logo {
  font-size: x-large;
}

.navbar .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

.navbar .nav {
  display: flex;
  gap: 10px;
}

/* Showcase */
.showcase .container {
  padding-top: 180px;
}

form {
  display: flex;
  gap: 5px;
  width: 70%;
  margin-bottom: 10px;
}

form .form-control {
  display: inline;
  width: 100%;
  padding: 7px 12px;
  font-size: 1rem;
  line-height: 1.5;
  color: #757575;
  background-color: #fff;
  border: none;
  border-radius: 4px;
}

form .location {
  flex: 3;
}

form .deliver {
  flex: 1;
}

.input-container {
  position: relative;
}

.input-container input,
.input-container select {
  padding-left: 35px;
}

.input-container .icon {
  position: absolute;
  left: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
}

.input-container select {
  padding-top: 9px;
  padding-bottom: 9px;
}

/* Responsivo */
@media (max-width:768px) {
  h1 {
    line-height: 1.2;
  }
  .main-content {
    background-position: left;
  }
  form {
    width: 100%;
    flex-direction: column;
  }
}